<?php

function getProduit()
{
    return 'OXA.PROC';
}

function getPatch():string
{
    return '5';
}

function getVersion():string
{
    return '12.02aa'.getPatch();
}

function getAnnee():string
{
    return '2026';
}

function getDateVersion():string
{
    return '11/06/'.getAnnee();
}

function getCopyright():string
{
    return 'Oxalys '.getAnnee();
}

function getFullVersion()
{
    return getProduit().' '.getVersion().' du '.getDateVersion();
}

function getCacheNumVersion()
{
    $fullVersion = getFullVersion();
    $_SESSION['cache'] =
    str_replace(
        '.',
        '',
        str_replace(
            '/',
            '',
            str_replace(' ', '', $fullVersion)
        )
    );
}

getCacheNumVersion();

return [
    'fullVersion'   => getFullVersion(),
    'version'       => getVersion(),
    'dateVersion'   => getDateVersion(),
    'copyright'     => getCopyright()
];
